Subject: Re: bug#6856: 24.0.50; fill-paragraph always marks buffer as modified

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Aug 2010 17:13:38 +0300

> From: Jose Antonio Ortega Ruiz <[email-masked]>
> Date: Sat, 14 Aug 2010 15:50:44 +0200
> Cc: [email-masked]
> 
> 1. emacs -Q
> 2. Open any file, go to a filled paragraph spawning more than 1 line
> 3. M-q. If the paragraph was already filled, no modification of the
>    buffer occurs, but the buffer is marked as modified nonetheless.
> 3'. If the first M-q actually modified the text, save the buffer and go
>     to 3: a second M-q does not change the text but marks the buffer as
>     modified.

That's how M-q worked since day one.  It has no way of testing whether
a paragraph is already filled, so it always refills it, which causes
the buffer to become modified, because the text is being moved around
(you just don't see it because text is usually not displayed until
completely refilled).